> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Update a person

PATCH https://api.sandbox.monite.com/v1/persons/{person_id}
Content-Type: application/json

Reference: https://docs.monite.com/api/entity-persons/patch-persons-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `person_id` (string, required)

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

### Body (application/json)

This endpoint expects an object.

- `address` (OptionalPersonAddress, optional) — The person's address
- `date_of_birth` (string, optional) — The person's date of birth
- `email` (string, optional) — The person's email address
- `first_name` (string, optional) — The person's first name
- `id_number` (string, optional) — The person's ID number, as appropriate for their country
- `last_name` (string, optional) — The person's last name
- `phone` (string, optional) — The person's phone number
- `relationship` (OptionalPersonRelationship, optional) — Describes the person's relationship to the entity
- `ssn_last_4` (string, optional) — The last four digits of the person's Social Security number

## Response

### 200

Successful Response

- `id` (string, required) — The person's unique identifier
- `created_at` (datetime, required) — Time at which the person was created
- `updated_at` (datetime, required) — Time at which the person was updated
- `email` (string, required) — The person's email address
- `entity_id` (string, required) — Entity ID
- `first_name` (string, required) — The person's first name
- `last_name` (string, required) — The person's last name
- `relationship` (PersonRelationship, required) — Describes the person's relationship to the entity
- `address` (PersonAddress, optional) — The person's address
- `date_of_birth` (string, optional) — The person's date of birth
- `id_number` (string, optional) — The person's ID number, as appropriate for their country
- `phone` (string, optional) — The person's phone number
- `ssn_last_4` (string, optional) — The last four digits of the person's Social Security number

## Errors

### 404 Patch Persons ID Request Not Found Error

Not found

- `error` (ErrorSchema, required)

### 409 Patch Persons ID Request Conflict Error

Business logic error

- `error` (ErrorSchema, required)

### 422 Patch Persons ID Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Patch Persons ID Request Internal Server Error

Internal Server Error

- `error` (ErrorSchema, required)

## Types

### OptionalPersonAddress

- `city` (string, optional) — City, district, suburb, town, or village
- `country` (string, optional) — Two-letter country code (ISO 3166-1 alpha-2)
- `line1` (string, optional) — Address line 1 (e.g., street, PO Box, or company name)
- `line2` (string, optional) — Address line 2 (e.g., apartment, suite, unit, or building)
- `postal_code` (string, optional) — ZIP or postal code
- `state` (string, optional) — State, county, province, or region

### OptionalPersonRelationship

- `director` (boolean, optional) — Whether the person is a director of the account's legal entity
- `executive` (boolean, optional) — Whether the person has significant responsibility to control, manage, or direct the organization
- `owner` (boolean, optional) — Whether the person is an owner of the account's legal entity
- `percent_ownership` (double, optional) — The percent owned by the person of the account's legal entity
- `representative` (boolean, optional) — Whether the person is authorized as the primary representative of the account
- `title` (string, optional) — The person's title (e.g., CEO, Support Engineer)

### PersonRelationship

- `director` (boolean, optional, default: false) — Whether the person is a director of the account's legal entity
- `executive` (boolean, optional, default: false) — Whether the person has significant responsibility to control, manage, or direct the organization
- `owner` (boolean, optional, default: false) — Whether the person is an owner of the account's legal entity
- `percent_ownership` (double, optional) — The percent owned by the person of the account's legal entity
- `representative` (boolean, optional, default: false) — Whether the person is authorized as the primary representative of the account
- `title` (string, optional) — The person's title (e.g., CEO, Support Engineer)

### PersonAddress

- `city` (string, required) — City, district, suburb, town, or village
- `country` (string, required) — Two-letter country code (ISO 3166-1 alpha-2)
- `line1` (string, required) — Address line 1 (e.g., street, PO Box, or company name)
- `postal_code` (string, required) — ZIP or postal code
- `line2` (string, optional) — Address line 2 (e.g., apartment, suite, unit, or building)
- `state` (string, optional) — State, county, province, or region

### ErrorSchema

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": "id",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "email": "email",
  "entity_id": "entity_id",
  "first_name": "first_name",
  "last_name": "last_name",
  "relationship": {
    "director": true,
    "executive": true,
    "owner": true,
    "percent_ownership": 1.1,
    "representative": true,
    "title": "title"
  },
  "address": {
    "city": "city",
    "country": "country",
    "line1": "line1",
    "postal_code": "postal_code",
    "line2": "line2",
    "state": "state"
  },
  "date_of_birth": "date_of_birth",
  "id_number": "id_number",
  "phone": "phone",
  "ssn_last_4": "ssn_last_4"
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/persons/person_id"

payload = {}
headers = {
    "x-monite-version": "2023-09-01",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/persons/person_id';
const options = {
  method: 'PATCH',
  headers: {
    'x-monite-version': '2023-09-01',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/persons/person_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-monite-version", "2023-09-01")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/persons/person_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-monite-version"] = '2023-09-01'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sandbox.monite.com/v1/persons/person_id")
  .header("x-monite-version", "2023-09-01")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sandbox.monite.com/v1/persons/person_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2023-09-01',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/persons/person_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-monite-version", "2023-09-01");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2023-09-01",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/persons/person_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```